<h1 mat-dialog-title>Payment {{player.name}}, {{teamName}}</h1>
<mat-dialog-content>
  <button mat-button (click)="onShortButtonClick(0)">0%</button>
  <button mat-button (click)="onShortButtonClick(25)">25%</button>
  <button mat-button (click)="onShortButtonClick(33)">33%</button>
  <button mat-button (click)="onShortButtonClick(50)">50%</button>
  <button mat-button (click)="onShortButtonClick(67)">67%</button>
  <button mat-button (click)="onShortButtonClick(75)">75%</button>
  <button mat-button (click)="onShortButtonClick(100)">100%</button>
  <mat-slider
    min="0"
    max="100"
    step="1"
    class="wholeLine"
  ><input matSliderThumb [(ngModel)]="sliderValue"></mat-slider>
  <table class="sumTable">
    <tr>
      <td>Sales:</td>
      <td>{{settingsHandler.getAmountFormatted(salesSum)}}</td>
    </tr>
    <tr>
      <td>Players fee:</td>
      <td>{{settingsHandler.getAmountFormatted(getPlayersFee())}}</td>
    </tr>
    <tr>
      <td>Sum:</td>
      <td>{{settingsHandler.getAmountFormatted(getPlayersFee() + salesSum)}}</td>
    </tr>
  </table>
  <mat-divider></mat-divider>
  <mat-form-field appearance="outline" class="wholeLine marginTop">
    <mat-label>Comment</mat-label>
    <input matInput [(ngModel)]="comment">
    <fa-icon [icon]="faComment" class="formIcon" matSuffix></fa-icon>
    <mat-hint>(Optional) Enter comment</mat-hint>
  </mat-form-field>
  <div class="accordion">
    <mat-accordion>
      <mat-expansion-panel>
        <mat-expansion-panel-header>
          <mat-panel-title>
            Add more tallies
          </mat-panel-title>
          <mat-panel-description>
            Catch up forgotten tallies
          </mat-panel-description>
        </mat-expansion-panel-header>
        <div *ngFor="let location of locations">
          <p>{{location.name}}</p>
          <app-product-card *ngFor="let product of getProductsByLocation(location)"
                            [product]="product"
                            [tallyCount]="getTallyCountByProduct(product)"
                            (onProductSelect)="onProductSelected(product, location)"
          ></app-product-card>
        </div>
      </mat-expansion-panel>
      <mat-expansion-panel>
        <mat-expansion-panel-header>
          <mat-panel-title>
            See tally list
          </mat-panel-title>
          <mat-panel-description>
            Cancel or revoke cancellation of tallies
          </mat-panel-description>
        </mat-expansion-panel-header>
        <app-tally-table *ngIf="tallies && products" [products]="products" [tallies]="tallies"
                         (onTallyCancelled)="onTallyCancelled.emit($event)"></app-tally-table>
      </mat-expansion-panel>
      <mat-expansion-panel>
        <mat-expansion-panel-header>
          <mat-panel-title>
            Payment Details
          </mat-panel-title>
          <mat-panel-description>
            Show payment details as text and QR codes
          </mat-panel-description>
        </mat-expansion-panel-header>
        <mat-tab-group>
          <mat-tab label="Bank">
            <mat-list *ngIf="bankConfigured">
              <qrcode
                [qrdata]="getEpcQrPayload()"
                [errorCorrectionLevel]="'M'"
                [width]="256"
              ></qrcode>
              <mat-list-item>{{payment.bankRecipient}}</mat-list-item>
              <mat-list-item>IBAN: {{payment.bankIban}}</mat-list-item>
              <mat-list-item>BIC: {{payment.bankBic}}</mat-list-item>
              <mat-list-item>{{payment.bankName}}</mat-list-item>
            </mat-list>
            <div *ngIf="!bankConfigured">Not configured</div>
          </mat-tab>
          <mat-tab label="Paypal Me">
            <mat-list *ngIf="payment.paypalMe">
              <qrcode
                [qrdata]="getPaypalMeUrl()"
                [errorCorrectionLevel]="'M'"
                [width]="256"
              ></qrcode>
              <mat-list-item><a target="_blank" href="{{getPaypalMeUrl()}}">{{getPaypalMeUrl()}}</a></mat-list-item>
            </mat-list>
            <div *ngIf="!payment.paypalMe">Not configured</div>
          </mat-tab>
          <mat-tab label="Paypal">
            <mat-list *ngIf="payment.paypalMe">
              <mat-list-item>{{payment.paypalAccount}}</mat-list-item>
            </mat-list>
            <div *ngIf="!payment.paypalAccount">Not configured</div>
          </mat-tab>
          <mat-tab label="Summary">
            <mat-list>
              <div mat-subheader *ngIf="bankConfigured">Bank</div>
              <mat-list-item *ngIf="bankConfigured">{{payment.bankRecipient}}</mat-list-item>
              <mat-list-item *ngIf="bankConfigured">IBAN: {{payment.bankIban}}</mat-list-item>
              <mat-list-item *ngIf="bankConfigured">BIC: {{payment.bankBic}}</mat-list-item>
              <mat-list-item *ngIf="bankConfigured">{{payment.bankName}}</mat-list-item>
              <mat-divider *ngIf="bankConfigured && payment.paypalMe"></mat-divider>
              <div mat-subheader *ngIf="payment.paypalMe">Paypal Me</div>
              <mat-list-item *ngIf="payment.paypalMe">{{payment.paypalMe}}</mat-list-item>
              <mat-divider *ngIf="payment.paypalMe && payment.paypalAccount"></mat-divider>
              <div mat-subheader *ngIf="payment.paypalAccount">Paypal</div>
              <mat-list-item *ngIf="payment.paypalAccount">{{payment.paypalAccount}}</mat-list-item>
            </mat-list>
          </mat-tab>
        </mat-tab-group>
      </mat-expansion-panel>
    </mat-accordion>
  </div>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button color="accent" (click)="onCommentClick()">COMMENT</button>
  <button mat-button (click)="onCloseClick()">CLOSE</button>
  <button mat-button color="primary" (click)="onSubmitClick()" type="submit">PAY</button>
</mat-dialog-actions>
